
GammaLib - Action #905

Feature # 903 (Closed): Implement a sky region class

Implement GSkyRegionCircle derived class

06/23/2013 02:54 PM - Martin Pierrick

Status: Closed Start date: 06/23/2013

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: HESS sprint #1   

Description

As part of the project to extend the gammalib to allow the analysis of data from Cherenkov telescopes with the classical ON and OFF

technique, sky region objects are needed, from simple like circular and ring to more complicated like maps.

We begin with the simple case of a circular region (which already allows a lot of things), and a draft header for a GSkyRegionCircle

derived class is provided. The immediate objective is to refine the interface and fill the functionalities during the coding sprint to be

held in Toulouse on 24-28 June 2013.

History

#1 - 06/23/2013 02:55 PM - Martin Pierrick

- File GSkyRegionCircle.hpp added

#2 - 06/26/2013 10:42 AM - Knödlseder Jürgen

- Assigned To set to Mayer Michael

#3 - 06/27/2013 11:09 AM - Knödlseder Jürgen

- Status changed from New to In Progress

#4 - 06/28/2013 12:53 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- Remaining (hours) set to 0.0

#5 - 06/28/2013 12:54 PM - Knödlseder Jürgen

- % Done changed from 0 to 100

- Estimated time set to 0.00

#6 - 11/03/2013 02:06 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

Files

GSkyRegionCircle.hpp 5.65 KB 06/23/2013 Martin Pierrick
